Package org.apache.tapestry5.internal.util

# Class SelectModelRenderer

java.lang.Object
org.apache.tapestry5.internal.util.SelectModelRenderer

All Implemented Interfaces:
  `SelectModelVisitor`

public class SelectModelRenderer extends Object implements SelectModelVisitor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectModelRenderer(MarkupWriter writer, ValueEncoder encoder, boolean raw)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beginOptionGroup(OptionGroupModel groupModel)`
  Invoked once for each `OptionGroupModel`, just before invoking `SelectModelVisitor.option(OptionModel)` for each embedded option within the group.
  `void`
  `endOptionGroup(OptionGroupModel groupModel)`
  Invoked after all options within the group have been visited.
  `protected boolean`
  `isOptionSelected(OptionModel optionModel, String clientValue)`
  If true, then the selected attribute will be written.
  `void`
  `option(OptionModel optionModel)`
  Invoked for each option within a group, and at the end, for each ungrouped option.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SelectModelRenderer

    public SelectModelRenderer(MarkupWriter writer, ValueEncoder encoder, boolean raw)

- ## Method Details

  - ### beginOptionGroup

    public void beginOptionGroup(OptionGroupModel groupModel)
    Description copied from interface: `SelectModelVisitor`
    Invoked once for each `OptionGroupModel`, just before invoking `SelectModelVisitor.option(OptionModel)` for each embedded option within the group.
    Specified by:
      `beginOptionGroup` in interface `SelectModelVisitor`

  - ### endOptionGroup

    public void endOptionGroup(OptionGroupModel groupModel)
    Description copied from interface: `SelectModelVisitor`
    Invoked after all options within the group have been visited.
    Specified by:
      `endOptionGroup` in interface `SelectModelVisitor`

  - ### option

    public void option(OptionModel optionModel)
    Description copied from interface: `SelectModelVisitor`
    Invoked for each option within a group, and at the end, for each ungrouped option.
    Specified by:
      `option` in interface `SelectModelVisitor`

  - ### isOptionSelected

    protected boolean isOptionSelected(OptionModel optionModel, String clientValue)
    If true, then the selected attribute will be written. This implementation always returns false.